<div align="center"><img src="assets/ic_launcher_round.png" width="192" /></div>

## <div align="center">Screen Time</div>

<div align="center"><h4>An Android app that allows you to easily track the time you spend on your device and apps.</h4></div>

[![License: GPLv3](https://img.shields.io/badge/License-GPLv3-blue)](https://www.gnu.org/licenses/gpl-3.0)

## Description

Screen Time is a simple app that lets you easily track the time you spend on your device and apps.

Features:

- Displays total screen time for your device over the past week or for a chosen day.
- Comparative graph showing screen time across different days of the week.
- Comparative graph displaying screen time for each hour of the day.
- Ability to view screen time and comparative graphs for each individual app.
- Comparative list of screen time for each app, sorted from the most used to the least used during the chosen period.
- Simple and modern interface.
- No ads.
- No data collection (internet permissions disabled).
- Open source.
- Developed in Kotlin with Jetpack Compose and Material 3.

## Screenshots

<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/01.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/02.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/03.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/04.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/05.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/06.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/07.png" width="192" />
<img src="fastlane/metadata/android/en-US/images/phoneScreenshots/08.png" width="192" />

## Donate

If you like Screen Time, you can support me via [Liberapay](https://liberapay.com/Atharok/donate) or [Ko-fi](https://ko-fi.com/atharok).

[![Donate](assets/liberapay-badge.png)](https://liberapay.com/Atharok/donate)
[![Donate](assets/ko-fi-badge.png)](https://ko-fi.com/atharok)

## Contribution

If you want to translate the app, please submit a merge request on GitLab.
If you have any questions regarding contributions or translations, feel free to open an issue or contact me by [e-mail](mailto:atharok@duck.com).

## Licences

The code is licensed under the [GNU General Public License version 3 or later (GPL-3.0-or-later)](https://www.gnu.org/licenses/gpl-3.0).

Dependencies:

- [Core KTX](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Activity Compose](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Compose BOM](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Compose UI](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Compose UI Graphics](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Compose Material 3](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Compose Material Icons Extended](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Lifecycle Runtime Compose](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Navigation Compose](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [DataStore Preferences](https://github.com/androidx/androidx) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Koin AndroidX Compose](https://github.com/InsertKoinIO/koin) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
- [Vico](https://github.com/patrykandpatrick/vico) is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)
